# this is an example of what would be auto-generated by the saturnConfig script, when the system is first created and on later modification to the system options
# it is not reccomended to use this file, as it is only a target to design the script around
{ config, pkgs, lib, ...  }:
{
	# importing custom user config
	imports = [ ./custom.nix ];

	# settings hostname
	saturn.hostname = "saturnOS";
	saturn.prettyHostname = "🪐 saturnOS";

	# efi bootloader
	boot.loader.systemd-boot.enable = true;
	boot.loader.efi.canTouchEfiVariables = true;
	boot.loader.efi.efiSysMountPoint = "/boot/efi"; #this may have changed in 23.05
	boot.initrd.systemd.enable = true;
	boot.plymouth.enable = true;
	boot.kernelParams = ["quiet"];

	# configure networking
	networking.networkmanager.enable = true;

	# configure locale
	time.timeZone = "Etc/UTC";
	i18n.defaultLocale = "en_CA.UTF-8";

	# configure x11 keymap
	services.xserver = {
		layout = "us";
		xkbVariant = "";
	};

	# add and configure users
	users.users.saturn = {
		initialPassword = "";
		isNormalUser = true;
		description = "Saturn User";
		extraGroups = [ "networkmanager" "wheel" ];
	};

	# import home-manager config from home.nix ( kept for legacy reasons )
	# home-manager.users.${sysConf.user} = import "${userDir}/home.nix" sysConf;

	system.stateVersion = "23.05";
}
